﻿using System;
using System.Windows.Input;

namespace ComboBoxSelectionCancel
{
    class DelegateCommand : ICommand
    {
        private Action _Action;

        public DelegateCommand(Action action)
        {
            _Action = action;
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            _Action();
        }
    }
}
